CREATE TABLE hrc_alert_run_messages (
    RUN_MESSAGE_ID              NUMBER(18, 0) ,
    MESSAGE_SEQ                 NUMBER(18, 0) ,
    RUN_ID                      NUMBER(18, 0)     NOT NULL,
    MESSAGE_LANGUAGE            VARCHAR2(16)  ,
    SHORT_MESSAGE               VARCHAR2(1024),
    SUBJECT                     VARCHAR2(4000),
    BODY                        CLOB          ,
    TEMPLATE_ID                 NUMBER(18, 0)     NOT NULL,
    STATUS                      VARCHAR2(120) ,
    TOTAL_SUCCESS_RECIPIENTS    NUMBER(12, 0) ,
    TOTAL_ERROR_RECIPIENTS      NUMBER(12, 0) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    RUN_MESSAGE_ID              NUMBER(18, 0) ,
    MESSAGE_SEQ                 NUMBER(18, 0) ,
    RUN_ID                      NUMBER(18, 0)     NOT NULL,
    MESSAGE_LANGUAGE            VARCHAR2(16)  ,
    SHORT_MESSAGE               VARCHAR2(1024),
    SUBJECT                     VARCHAR2(4000),
    BODY                        CLOB          ,
    TEMPLATE_ID                 NUMBER(18, 0)     NOT NULL,
    STATUS                      VARCHAR2(120) ,
    TOTAL_SUCCESS_RECIPIENTS    NUMBER(12, 0) ,
    TOTAL_ERROR_RECIPIENTS      NUMBER(12, 0) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_hrc_alert_run_messages PRIMARY KEY (RUN_MESSAGE_ID, RUN_MESSAGE_ID)
);
